using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    public class AlkalmazasBeall
    {
        public string AppNev { get; private set; }
        public string Version { get; private set; }

        private AlkalmazasBeall()
        {
            AppNev = "MyApp";
            Version = "1.0";
        }

        private static AlkalmazasBeall pl;

        public static AlkalmazasBeall GetPL()
        {
            if (pl == null)
            {
                pl = new AlkalmazasBeall();
            }
            return pl;
        }
        
    }

    class Szemely
    {
        private string nev;
        private int kor;

        public string Nev
        {
            get { return nev; }
            set { nev = value; }
        }

        public int Kor
        {
            get { return kor; }
            set {
                if (value >= 0)
                {
                    kor = 2023 - value;
                } else
                {
                    Console.WriteLine("Az életkor nem lehet igaz!");
                }
            }
        }
    }
   

    class Program
    {
        static void Main(string[] args)
        {
            AlkalmazasBeall settings = AlkalmazasBeall.GetPL();

            Console.WriteLine($"Alkalmazás neve: {settings.AppNev}");
            Console.WriteLine($"Alkalmazás verziója: {settings.Version}");

            Szemely szemely = new Szemely();
            Console.WriteLine("Add meg a neved!");
            szemely.Nev = Console.ReadLine();
            Console.WriteLine("Add meg, hogy mikor születtél!");
            szemely.Kor = Convert.ToInt32(Console.ReadLine()); 

            Console.WriteLine(szemely.Nev);
            Console.WriteLine(szemely.Kor);

            Console.ReadLine();
        }
    }
}
